package zh.Socket;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class SocketActivity extends Activity {
    /** Called when the activity is first created. */

	private EditText ip_server ;
	private EditText port_server;
    private Button btn_tv;
    
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        ip_server = (EditText)findViewById(R.id.editText1);
        port_server = (EditText)findViewById(R.id.editText2);
        btn_tv = (Button)findViewById(R.id.button);
        btn_tv.setText(R.string.btn_tv);
        btn_tv.setOnClickListener(new btn_tvListener());
    }

    //ͻMENUťʱ򣬵ø÷
    @Override
	public boolean onCreateOptionsMenu(Menu menu) {
    	menu.add(0, 1, 1, R.string.exit);
		return super.onCreateOptionsMenu(menu);
	}
    
    //ͻ˵еĳһѡʱø÷
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		if(item.getItemId() == 1){
			finish();
		}
		return super.onOptionsItemSelected(item);
	}
	
	class btn_tvListener implements OnClickListener{

		public void onClick(View v) {
			//ȡEditTextؼֵ
			String ip_serverStr = ip_server.getText().toString();
			String port_serverStr = port_server.getText().toString();
			//ֵŵIntent
			Intent intent = new Intent();
			intent.putExtra("ip",ip_serverStr);
			intent.putExtra("port",port_serverStr);
			intent.setClass(SocketActivity.this, OtherActivity.class);
			//ʹIntentResultActivity
			SocketActivity.this.startActivity(intent);
		}
    }
    
}